classification
Title: usage() is not defined in Lib/test/regrtest.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: chris.jerdonek Nosy List: chris.jerdonek, ezio.melotti, michael.foord, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2013-01-03 19:47 by serhiy.storchaka, last changed 2013-01-08 07:56 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
issue-16854-1.diff chris.jerdonek, 2013-01-06 20:52
Messages (5)
msg178977 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-03 19:47
$ ./python -m test.regrtest -u spam
Traceback (most recent call last):
  File "/home/serhiy/py/cpython/Lib/runpy.py", line 160, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/home/serhiy/py/cpython/Lib/runpy.py", line 73, in _run_code
    exec(code, run_globals)
  File "/home/serhiy/py/cpython/Lib/test/regrtest.py", line 1599, in <module>
    main()
  File "/home/serhiy/py/cpython/Lib/test/regrtest.py", line 473, in main
    usage('Invalid -u/--use option: ' + a)
NameError: global name 'usage' is not defined


This is 3.4 only issue.
msg178978 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-03 19:52
I observed this issue earlier in issue 16799.  See that issue for a fix.  Can one of you review that patch?  Thanks.
msg179225 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-06 20:52
I'm submitting a patch for this independent of issue 16799 on Serhiy's request.
msg179301 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-01-08 01:10
New changeset ce99559efa46 by Chris Jerdonek in branch 'default':
Issue #16854: Fix regrtest.usage() regression introduced in 6e2e5adc0400.
http://hg.python.org/cpython/rev/ce99559efa46
msg179318 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-08 07:56
Thank you, Chris.
History
Date User Action Args
2013-01-08 07:56:03serhiy.storchakasetmessages: + msg179318
2013-01-08 01:13:00chris.jerdoneksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-01-08 01:10:39python-devsetnosy: + python-dev
messages: + msg179301
2013-01-06 22:38:39serhiy.storchakasetstage: needs patch -> patch review
2013-01-06 20:52:41chris.jerdoneksetfiles: + issue-16854-1.diff
keywords: + patch
dependencies: - start using argparse.Namespace in regrtest
messages: + msg179225
2013-01-03 19:54:31chris.jerdoneksetassignee: chris.jerdonek
2013-01-03 19:54:08chris.jerdoneksetdependencies: + start using argparse.Namespace in regrtest
2013-01-03 19:52:59chris.jerdoneksetmessages: + msg178978
2013-01-03 19:48:51ezio.melottisetkeywords: + easy
nosy: + chris.jerdonek

stage: needs patch
2013-01-03 19:47:09serhiy.storchakacreate